''' 
	How to Make an Intermediate WCS: Python Race.
	Created by: ||7DS||Wolf|| A.K.A |HMS|.Blade.
	Mattie/EventScripts Account: Bladesback
	Steam Account: Wild_Dog_9
'''
'''
	If you have not yet seen my 'Basic Race for Teaching Purposes' please go to the link below.
	Basic Race for Teaching Purposes = http://addons.eventscripts.com/addons/view/BasicRaceforTeachingPurposes
	Please Make Sure You Have Read My Basic WCS: Python Race.
	I am assuming you have already read and understand my Basic WCS: Python Race.
'''
'''
	WCS:P Command WebSite = http://wcsource.pbwiki.com/Commands
'''

import wcs, es, random, playerlib, gamethread
from wcs import wcs

Name = 'Intermediate Race for Teaching Purposes'
##For this Race I will add ONLY Hurt Skills.
wcs.Race(Name).registerSkill('Evade Damage',5,1,'Have a chance to evade damage.')
wcs.Race(Name).registerSkill('Return Damage',5,1,'Have a chance toeturn a percent of the enemies damage.')
wcs.Race(Name).registerSkill('Extra Damamge',5,1,'Have a chance to do extra damage.')
wcs.Race(Name).registerSkill('Freeze Enemies',5,1,'Have a chance to freeze your enemies.')


def prep_hurt(ev):
	userid = int(ev['userid'])
	#Now we are adding two new Initations. One for the Attacker and one for the Damage
	#The Attacker is the person who is doing the attacking.... It can be you or an enemy depending on what skills your using.
	attacker = int(ev['attacker'])
	#The Damage is the damage that is done to health.
	damage = int(ev['dmg_health'])
	evade = wcs.GetLevel(userid, Name, 'Evade Damage')*10
	if evade:
		#If the level of Evade Damage X 10 is Greater or Equal to a Randomly chosen number between 1 and 100 Then...
		'''Please Note that using 'if evade >= random.randint(1,100):' is only needed when you want the skill to happen based on chance.'''
		'''Remove the line if you want the skill to always work when your hit'''
		#Max Evade Damage is 5. 5X10=50.....so you have a 50% chance this skill will work.
		if evade >= random.randint(1,100):
			#Because this is a defensive skill you are the userid and not the attacker. You are basically adding the damage done to your life back to your life.
			wcs.Command(userid).SaveLife(damage)
			es.tell(userid, '#multi', '#greenEvade Damage #default- #lightgreenYou have evaded and attack.')
	retdmg = wcs.GetLevel(userid, Name, 'Return Damage')*10	
	if retdmg:
		#If the level ofReturn Damage X 10 is Greater or Equal to a Randomly chosen number between 1 and 100 Then...
		'''Please Note that using 'if retdmg >= random.randint(1,100):' is only needed when you want the skill to happen based on chance.'''
		'''Remove the line if you want the skill to always work when your hit'''
		#Max Return Damage is 5. 5X10=50.....so you have a 50% chance this skill will work.
		if retdmg >= random.randint(1,100):
			#If you have noticed Attacker replaced Userid... the reason for this is because the Damage command is going to effect the Attacker.
			#The returned damage is the damage done to health X .3.
			#The 32 is CSS default damage AKA Fall Damage.... DO NOT CHANGE IT!
			#Finally the Userid means who gets the points for the kill... if you dont want any 1 to get points delete ',userid'
			wcs.Command(attacker).Damage(damage*.3,32,userid)
			#Tell this to the person who was being attacked.
			es.tell(userid,'#multi','#lightgreenReturn Damage #default- #lightgreenYou have done #green%s #lightgreenreturn damage.'%damage*.3)
			#Tell this to the person who attacked but got the returned damage.
			es.tell(attacker,'#multi','#lightgreenReturn Damage #default- #lightgreenYou have taken #green% #lightgreendamage back.'%damage*.3)
	##Userid is now Attacker because you are the 1 doing the attacks
	xtradmg = wcs.GetLevel(attacker, Name, 'Extra Damage')*10	
	if xtradmg:
		#If the level ofExtra Damage X 10 is Greater or Equal to a Randomly chosen number between 1 and 100 Then...
		'''Please Note that using 'if xtradmg >= random.randint(1,100):' is only needed when you want the skill to happen based on chance.'''
		'''Remove the line if you want the skill to always work when your hit'''
		#Max Extra Damage is 5. 5X10=50.....so you have a 50% chance this skill will work.
		if xtradmg >= random.randint(1,100):
			#If you have noticed we have become the attacker because we are trying to hurt the userid.
			##The 'wcs.Command(userid)' just means who this command is going to effect, so we, the attacker are trying to do damage to the userid, thus the command will effect the userid.
			#The extra damage is the damage done to health X .3.
			#The 32 is CSS default damage AKA Fall Damage.... DO NOT CHANGE IT!
			#Finally the Userid means who gets the points for the kill... if you dont want any 1 to get points delete ',userid'
			wcs.Command(userid).Damage(damage*.3,32,attacker)
			#Tell this to the person who was being attacked. (Them)
			es.tell(userid,'#multi','#lightgreenExtra Damage #default- #lightgreenYou have taken #green%s #lightgreenextra damage.'%damage*.3)
			#Tell this to the person who attacked. (You)
			es.tell(attacker,'#multi','#lightgreenExtra Damage #default- #lightgreenYou have done #green% #lightgreenextra damage.'%damage*.3)
	##Userid is now Attacker because you are the 1 doing the attacks
	freeze = wcs.GetLevel(attacker, Name, 'Freeze Enemies')*10	
	if freeze:
		#If the level of Freeze Enemies X 10 is Greater or Equal to a Randomly chosen number between 1 and 100 Then...
		'''Please Note that using 'if freeze >= random.randint(1,100):' is only needed when you want the skill to happen based on chance.'''
		'''Remove the line if you want the skill to always work when your hit'''
		#Max Freeze Enemies is 5. 5X10=50.....so you have a 50% chance this skill will work.
		if freeze >= random.randint(1,100):
			#If you have noticed we have become the attacker because we are trying to freeze the userid.
			##The 'wcs.Command(userid)' just means who this command is going to effect, so we, the attacker are trying to freeze to the userid, thus the command will effect the userid.
			#The freeze duration is Freeze Enemies X .4. (Total of 2 seconds)
			wcs.Command(userid).Freeze(freeze*.4)
			#Tell this to the person who was being attacked.  'es.getplayername(userid)' get's the player name of the userid. (Them)
			es.tell(userid,'#multi','#lightgreenFreeze Enemies #default- #lightgreenYou have been frozen by #green%s.'%es.getplayername(attacker))
			#Tell this to the person who attacked.  'es.getplayername(attacker)' gets the player name of the attacker.(You)
			es.tell(attacker,'#multi','#lightgreenFreeze Enemies #default- #lightgreenYou have froze #green%.'%es.getplayername(userid))

'''
	Congradulations You Have Finished Intermediate Race Scripting.
	If you would like to see my races and keep up-to-date with all my new scripts and races please see the link below!
	http://addons.eventscripts.com/addons/user/9463  
'''
'''
	DO NOT FORGET TO SAVE THIS AS A PYTHON FILE!
'''